## Request Parameters

### swqos_only

boolean

default:"false"

When true, routes exclusively through SWQOS infrastructure, but has a lower minimal tip requirement.

### mev-protect

boolean

default:"false"

When true, routes your transaction away from validators statistically linked to sandwich attacks. Opt-in per request.

### transaction

string

required

The transaction encoded in base64.

### encoding

string

Data encoding format used for the Solana transaction payload.

- `base58`
- `base64`

### skipPreflight

boolean

When true, bypasses Solana’s preflight transaction validation for faster submission. Optional — Sender supports preflight checks.

### maxRetries

number

Maximum number of automatic retry attempts. Should be set to 0.

#### Query Parameters

### api-key

string

Standard users do not require an API key. Only users with custom TPS limits need to provide an API key.

### swqos_only

boolean

default:false

When true, routes exclusively through SWQOS infrastructure, but has a lower minimal tip requirement.

### mev-protect

boolean

default:false

When true, routes your transaction away from validators statistically linked to sandwich attacks. Opt-in per request.

#### Body

application/json

### jsonrpc

enum<string>

default:2.0

The JSON-RPC protocol version.

Available options:

`2.0`

Example:

`"2.0"`

### id

string

default:1

A unique identifier for the request.

Example:

`"1"`

### method

enum<string>

default:sendTransaction

The name of the RPC method to invoke.

Available options:

`sendTransaction`

Example:

`"sendTransaction"`

### params

(string | object)[]

Parameters for sending a transaction via Sender.

The transaction encoded in base64.

#### Response

200

application/json

Transaction submitted successfully. A 200 response does not guarantee that the transaction is valid or that it will land onchain.

### jsonrpc

enum<string>

The JSON-RPC protocol version.

Available options:

`2.0`

Example:

`"2.0"`

### id

string

Identifier matching the request.

Example:

`"1"`

### result

string

The transaction signature for tracking confirmation status.

Example:

`"4qTLpN1sBrp5SzZUKfrSH2897FmxA7AB4EbN4ccgSgEjG9RG2686pSKWhEbz65q4bvaRsdpKRJKZ3dkdGZA78u5s"`
